Update dependencies

This commit is contained in:
2018-04-30 20:16:12 +01:00
parent c93b9af4b1
commit 9c13f456a3
5 changed files with 3275 additions and 3655 deletions

10
build/deploy.sh Normal file
View File

@@ -0,0 +1,10 @@
#!/usr/bin/env bash
# Test rsync is installed and ENV variables are set
hash rsync 2>/dev/null || { echo >&2 "Error: rsync is not installed. Aborting."; exit 1; }
[ -z "$SSH_IP" ] && { echo >&2 "Error: SSH_IP is missing. Aborting."; exit 1; }
[ -z "$SSH_USER" ] && { echo >&2 "Error: SSH_USER is missing. Aborting."; exit 1; }
# Deploy theme with rsync
rsync -e "ssh -o StrictHostKeyChecking=no" -avzuh --progress \
theme/* $SSH_USER@$SSH_IP:~/windycoys_theme